Table des matières
Code:
                                                                        D. Count Good Substrings
Maison base de données tutoriel mysql 第七次codeforces竞技结束 #258 Div 2

第七次codeforces竞技结束 #258 Div 2

Jun 07, 2016 pm 03:08 PM
div 结束

这次出了两题,A和B,C的话我居然就差一个(n%3)就能ac了Q^Q 哭…… 要是C加了那一行出了的话多帅气呀…… A. Game With Sticks time limit per test 1 second memory limit per test 256 megabytes input standard input output standard output After winni

这次出了两题,A和B,C的话我居然就差一个(n%3)就能ac了Q^Q 哭……

要是C加了那一行出了的话多帅气呀……


A. Game With Sticks

time limit per test

1 second

memory limit per test

256 megabytes

input

standard input

output

standard output

After winning gold and silver in IOI 2014, Akshat and Malvika want to have some fun. Now they are playing a game on a grid made of n horizontal and m vertical sticks.

An interdiv point is any point on the grid which is formed by the interdiv of one horizontal stick and one vertical stick.

In the grid shown below, n?=?3 and m?=?3. There are n?+?m?=?6 sticks in total (horizontal sticks are shown in red and vertical sticks are shown in green). There are n·m?=?9 interdiv points, numbered from 1 to 9.

第七次codeforces竞技结束 #258 Div 2

The rules of the game are very simple. The players move in turns. Akshat won gold, so he makes the first move. During his/her move, a player must choose any remaining interdiv point and remove from the grid all sticks which pass through this point. A player will lose the game if he/she cannot make a move (i.e. there are no interdiv points remaining on the grid at his/her move).

Assume that both players play optimally. Who will win the game?

Input

The first line of input contains two space-separated integers, n and m (1?≤?n,?m?≤?100).

Output

Print a single line containing "Akshat" or "Malvika" (without the quotes), depending on the winner of the game.

Sample test(s)

input

2 2
Copier après la connexion

output

Malvika
Copier après la connexion
Copier après la connexion

input

2 3
Copier après la connexion

output

Malvika
Copier après la connexion
Copier après la connexion

input

3 3
Copier après la connexion

output

Akshat
Copier après la connexion

Note

Explanation of the first sample:

The grid has four interdiv points, numbered from 1 to 4.

第七次codeforces竞技结束 #258 Div 2

If Akshat chooses interdiv point 1, then he will remove two sticks (1?-?2 and 1?-?3). The resulting grid will look like this.

第七次codeforces竞技结束 #258 Div 2

Now there is only one remaining interdiv point (i.e. 4). Malvika must choose it and remove both remaining sticks. After her move the grid will be empty.

In the empty grid, Akshat cannot make any move, hence he will lose.

Since all 4 interdiv points of the grid are equivalent, Akshat will lose no matter which one he picks.



这道题呢意思是有这么多棒子摆成网格状,一人一次选一个交叉点拿走那俩棒子,没有交叉点可以拿的输。

因为一个交叉点由一纵一横组成,每次消除一纵一横,所以自然是纵横中某一个拿完了就结束了:

Code:

#include <queue>
#include <cmath> 
#include <memory> 
#include <cctype>
#include <cstdio>
#include <string>
#include <cstdlib>
#include <cstring>
#include <iostream>
#include <algorithm>
using namespace std;

#define Max(a,b) ((a)>(b)?(a):(b))
#define Min(a,b) ((a)>n>>m;
	cout<br>



<h2>
B. Sort the Array</h2>
<p>
</p>
<p>
time limit per test</p>
1 second
<p>
</p>
<p>
memory limit per test</p>
256 megabytes
<p>
</p>
<p>
input</p>
standard input
<p>
</p>
<p>
output</p>
standard output
<p>
</p>
<p>
Being a programmer, you like arrays a lot. For your birthday, your friends have given you an array <span><em>a</em></span>consisting of <span><em>n</em></span> <span>distinct</span> integers.</p>
<p>
Unfortunately, the size of <span><em>a</em></span> is too small. You want a bigger array! Your friends agree to give you a bigger array, but only if you are able to answer the
 following question correctly: is it possible to sort the array <span><em>a</em></span> (in increasing order) by reversing <span>exactly
 one</span> segment of <span><em>a</em></span>? See definitions of segment and reversing in the notes.</p>

<p>
</p>
<p>
Input</p>
<p>
The first line of the input contains an integer <span><em>n</em></span> (<span>1?≤?<em>n</em>?≤?10<span>5</span></span>)
 — the size of array <span><em>a</em></span>.</p>
<p>
The second line contains <span><em>n</em></span> distinct space-separated integers: <span><em>a</em>[1],?<em>a</em>[2],?...,?<em>a</em>[<em>n</em>]</span> (<span>1?≤?<em>a</em>[<em>i</em>]?≤?10<span>9</span></span>).</p>

<p>
</p>
<p>
Output</p>
<p>
Print "<span>yes</span>" or "<span>no</span>" (without quotes), depending on the answer.</p>
<p>
If your answer is "<span>yes</span>", then also print two space-separated integers denoting start and end (start must not be greater than end) indices of the segment to be
 reversed. If there are multiple ways of selecting these indices, print any of them.</p>

<p>
</p>
<p>
Sample test(s)</p>
<p>
</p>
<p>
</p>
<p>
input</p>
<pre class="brush:php;toolbar:false">3
3 2 1
Copier après la connexion

output

yes
1 3
Copier après la connexion

input

4
2 1 3 4
Copier après la connexion

output

yes
1 2
Copier après la connexion

input

4
3 1 2 4
Copier après la connexion

output

no
Copier après la connexion

input

2
1 2
Copier après la connexion

output

yes
1 1
Copier après la connexion

Note

Sample 1. You can reverse the entire array to get [1,?2,?3], which is sorted.

Sample 3. No segment can be reversed such that the array will be sorted.

Definitions

A segment [l,?r] of array a is the sequence a[l],?a[l?+?1],?...,?a[r].

If you have an array a of size n and you reverse its segment [l,?r], the array will become:

a[1],?a[2],?...,?a[l?-?2],?a[l?-?1],?a[r],?a[r?-?1],?...,?a[l?+?1],?a[l],?a[r?+?1],?a[r?+?2],?...,?a[n?-?1],?a[n].



B题的话呢就是说有一个数组,我们只能选择其中一个连续的数组序列反序,问是否能一次操作后使整个数组升序。

用dp做标记找一段持续降序的序列反向,然后检测反向后的时不时严格升序即可:

Code:

#include <queue>
#include <cmath> 
#include <memory> 
#include <cctype>
#include <cstdio>
#include <string>
#include <cstdlib>
#include <cstring>
#include <iostream>
#include <algorithm>
using namespace std;

#define Max(a,b) ((a)>(b)?(a):(b))
#define Min(a,b) ((a)>n;
	memset(a,0,sizeof a);
	memset(dp,0,sizeof dp);
	cin>>a[0];
	bool flag=true;
	int pos_start=0;
	for(int ni=1;ni<n cin>>a[ni];
		if(a[ni]>a[ni-1]) dp[ni]=dp[ni-1]+1;
		else 
		{
			dp[ni]=0;
			flag=false;
			if(pos_start==0)pos_start=ni;
		}
	}
	if(flag)
	{
		cout<br>



<h2>
C. Predict Outcome of the Game</h2>
<p>
</p>
<p>
time limit per test</p>
2 seconds
<p>
</p>
<p>
memory limit per test</p>
256 megabytes
<p>
</p>
<p>
input</p>
standard input
<p>
</p>
<p>
output</p>
standard output
<p>
</p>
<p>
There are <span><em>n</em></span> games in a football tournament. Three teams are participating in it. Currently <span><em>k</em></span> games
 had already been played.</p>
<p>
You are an avid football fan, but recently you missed the whole <span><em>k</em></span> games. Fortunately, you remember a guess of your friend for these <span><em>k</em></span> games.
 Your friend did not tell exact number of wins of each team, instead he thought that absolute difference between number of wins of first and second team will be <span><em>d</em><span>1</span></span>and
 that of between second and third team will be <span><em>d</em><span>2</span></span>.</p>
<p>
You don't want any of team win the tournament, that is each team should have the same number of wins after <span><em>n</em></span> games. That's why you want to know: does there
 exist a valid tournament satisfying the friend's guess such that no team will win this tournament?</p>
<p>
Note that outcome of a match can not be a draw, it has to be either win or loss.</p>

<p>
</p>
<p>
Input</p>
<p>
The first line of the input contains a single integer corresponding to number of test cases <span><em>t</em></span> <span>(1?≤?<em>t</em>?≤?10<span>5</span>)</span>.</p>
<p>
Each of the next <span><em>t</em></span> lines will contain four space-separated integers <span><em>n</em>,?<em>k</em>,?<em>d</em><span>1</span>,?<em>d</em><span>2</span></span> <span>(1?≤?<em>n</em>?≤?10<span>12</span>; 0?≤?<em>k</em>?≤?<em>n</em>; 0?≤?<em>d</em><span>1</span>,?<em>d</em><span>2</span>?≤?<em>k</em>)</span> —
 data for the current test case.</p>

<p>
</p>
<p>
Output</p>
<p>
For each test case, output a single line containing either "<span>yes</span>" if it is possible to have no winner of tournament, or "<span>no</span>"
 otherwise (without quotes).</p>

<p>
</p>
<p>
Sample test(s)</p>
<p>
</p>
<p>
</p>
<p>
input</p>
<pre class="brush:php;toolbar:false">5
3 0 0 0
3 3 0 0
6 4 1 0
6 3 3 0
3 3 3 2
Copier après la connexion

output

yes
yes
yes
no
no
Copier après la connexion

Note

Sample 1. There has not been any match up to now (k?=?0,?d1?=?0,?d2?=?0). If there will be three matches (1-2, 2-3, 3-1) and each team wins once, then at the end each team will have 1 win.

Sample 2. You missed all the games (k?=?3). As d1?=?0 and d2?=?0, and there is a way to play three games with no winner of tournament (described in the previous sample), the answer is "yes".

Sample 3. You missed 4 matches, and d1?=?1,?d2?=?0. These four matches can be: 1-2 (win 2), 1-3 (win 3), 1-2 (win 1), 1-3 (win 1). Currently the first team has 2 wins, the second team has 1 win, the third team has 1 win. Two remaining matches can be: 1-2 (win 2), 1-3 (win 3). In the end all the teams have equal number of wins (2 wins).



这道题的意思是有3个队伍,总共要打n场比赛,已经打了k场,这k场之后一队和二队的得分差的绝对值为d1,二队和三队得分差绝对值为d2,问有没有可能n场都打完了之后三个队伍平手。

经枚举题意,这道题呢有这么几个隐含条件:

1、n可以不是3的倍数 Test 4 n=999999980 ,这就是我wa的原因……我没有写(n%3==0)cout

2、Note中说明了不是循环打,可以就两个队打到天荒地老……

1-2 (win 2), 1-3 (win 3), 1-2 (win 1), 1-3 (win 1),1-2 (win 2), 1-3 (win 3). 

3、存在 【k场之后不可能存在d1、d2的此种数据】 的可能性: Test 5 n=1,k=1,d1=0,d2=0

这道题如下判定即可:

1、n是否能被3整除(场数都不能被3整除的话最后三个人怎么可能win数相同)

2、d1=d2=0 的时候直接看n-k是否能被3整除

3、绝对值d1,d2 上符号,四种情况:++,+-,-+,--

依次判断1) 此种情况下最大的那个队伍当前胜场有没有超过n/3

2) 三个队按照当前情况下已打场数和是否超过k

3) 三个队按照最大队补齐之后k场剩余场是否为非负


Code:

#include <cmath> 
#include <memory> 
#include <cstdio>
#include <string>
#include <cstdlib>
#include <cstring>
#include <iostream>
#include <algorithm>
using namespace std;
typedef __int64 ll;
#define Max(a,b) ((a)>(b)?(a):(b))
#define Min(a,b) ((a)>n>>k>>d1>>d2;
		rest=n-k;
		if(n%3!=0)
		{
			cout>
		if((d1+d2)>(n/3)) rest1=-1;
		if(d1+d2+d2>k) rest1=-1;
		ll rest2=rest-max(d1,d2)-(max(d1,d2)-min(d1,d2));// >(n/3)) rest2=-1;
		if(d1+d2>k)rest2=-1;
		ll rest3=rest-d1-d2;		// 
		if(max(d1,d2)>(n/3)) rest3=-1;
		if(max(d1,d2)+max(d1,d2)-min(d1,d2)>k) rest3=-1;
		ll rest4=rest-d1-d2-d2;		// (n/3)) rest4=-1;
		if(d1+d1+d2>k) rest4=-1;
		
		if(rest1>=0 && rest1%3==0)cout=0 && rest2%3==0)cout=0 && rest3%3==0)cout=0 && rest4%3==0)cout

<h2 id="D-Count-Good-Substrings">                                                                        D. Count Good Substrings</h2>
<p>
</p>
<p>
</p>
<p>
</p>
<p>
</p>
<p>
time limit per test</p>
2 seconds
<p>
</p>
<p>
memory limit per test</p>
256 megabytes
<p>
</p>
<p>
input</p>
standard input
<p>
</p>
<p>
output</p>
standard output

<p>
</p>
<p>We call a string<span> </span><span>good</span>, if after merging all the consecutive equal characters, the resulting string is
 palindrome. For example, "<span>aabba</span>" is good, because after the merging step it will become "<span>aba</span>".</p>
<p>Given a string, you have to find two values:</p>
<ol>
<li>
the number of good substrings of even length;</li>
<li>
the number of good substrings of odd length.</li>
</ol>

<p>
</p>
<p>
Input</p>
<p>The first line of the input contains a single string of length<span> </span><span><em>n</em></span><span> </span>(<span>1?≤?<em>n</em>?≤?10<sup>5</sup></span>).
 Each character of the string will be either '<span>a</span>' or '<span>b</span>'.</p>

<p>
</p>
<p>
Output</p>
<p>Print two space-separated integers: the number of good substrings of even length and the number of good substrings of odd length.</p>

<p>
</p>
<p>
Sample test(s)</p>
<p>
</p>
<p>
</p>
<p>
input</p>
<pre class="brush:php;toolbar:false">bb
Copier après la connexion

output

1 2
Copier après la connexion

input

baab
Copier après la connexion

output

2 4
Copier après la connexion

input

babb
Copier après la connexion

output

2 5
Copier après la connexion

input

babaa
Copier après la connexion

output

2 7
Copier après la connexion

Note

In example 1, there are three good substrings ("b", "b", and "bb"). One of them has even length and two of them have odd length.

In example 2, there are six good substrings (i.e. "b", "a", "a", "b", "aa", "baab"). Two of them have even length and four of them have odd length.

In example 3, there are seven good substrings (i.e. "b", "a", "b", "b", "bb", "bab", "babb"). Two of them have even length and five of them have odd length.

Definitions

A substring s[l,?r] (1?≤?l?≤?r?≤?n) of string s?=?s1s2... sn is string slsl?+?1... sr.

A string s?=?s1s2... sn is a palindrome if it is equal to string snsn?-?1... s1.


这道题呢是说一个【仅由a、b组成】的字符串,其中任意一个子串压缩(压缩的意思是所有连续的a或连续的b都由一个a或b来代替)后为回文的话成为好子串,问偶数长度的偶子串有多少个,奇数长度的偶子串有多少个。

技巧:

1、压缩后获得的一定是a、b相间的字符串,如a\ab\aba\ababababababa\bababa

2、压缩后的长度若为奇数则为回文

3、原字符串的偶数位到偶数位、奇数位到奇数位的子串长度为奇数,奇数位到偶数位、偶数位到奇数位的子串长度为偶数

4、所以这是个数学题

Code:

#include <queue>
#include <cmath> 
#include <memory> 
#include <cctype>
#include <cstdio>
#include <string>
#include <cstdlib>
#include <cstring>
#include <iostream>
#include <algorithm>
using namespace std;
const int maxn=1e5+5;

string s;
char str[maxn];
int len,f[2][2];
long long ans[2];

int main()
{
    while(scanf("%s",str)==1)
	{
        len=strlen(str);
        memset(f,0,sizeof f);
        memset(ans,0,sizeof ans);
        for(int i=0;i<len f ans cout return><br>
<br>


<p><br>
</p>
<p><br>
</p>
<p><br>
</p>
<p><br>
</p>
<p><br>
</p>
<p><br>
</p>
<p></p>


</len></algorithm></iostream></cstring></cstdlib></string></cstdio></cctype></memory></cmath></queue>
Copier après la connexion
Déclaration de ce site Web
Le contenu de cet article est volontairement contribué par les internautes et les droits d'auteur appartiennent à l'auteur original. Ce site n'assume aucune responsabilité légale correspondante. Si vous trouvez un contenu suspecté de plagiat ou de contrefaçon, veuillez contacter admin@php.cn

Outils d'IA chauds

Undresser.AI Undress

Undresser.AI Undress

Application basée sur l'IA pour créer des photos de nu réalistes

AI Clothes Remover

AI Clothes Remover

Outil d'IA en ligne pour supprimer les vêtements des photos.

Undress AI Tool

Undress AI Tool

Images de déshabillage gratuites

Clothoff.io

Clothoff.io

Dissolvant de vêtements AI

AI Hentai Generator

AI Hentai Generator

Générez AI Hentai gratuitement.

Article chaud

R.E.P.O. Crystals d'énergie expliqués et ce qu'ils font (cristal jaune)
3 Il y a quelques semaines By 尊渡假赌尊渡假赌尊渡假赌
R.E.P.O. Meilleurs paramètres graphiques
3 Il y a quelques semaines By 尊渡假赌尊渡假赌尊渡假赌
R.E.P.O. Comment réparer l'audio si vous n'entendez personne
3 Il y a quelques semaines By 尊渡假赌尊渡假赌尊渡假赌
WWE 2K25: Comment déverrouiller tout dans Myrise
4 Il y a quelques semaines By 尊渡假赌尊渡假赌尊渡假赌

Outils chauds

Bloc-notes++7.3.1

Bloc-notes++7.3.1

Éditeur de code facile à utiliser et gratuit

SublimeText3 version chinoise

SublimeText3 version chinoise

Version chinoise, très simple à utiliser

Envoyer Studio 13.0.1

Envoyer Studio 13.0.1

Puissant environnement de développement intégré PHP

Dreamweaver CS6

Dreamweaver CS6

Outils de développement Web visuel

SublimeText3 version Mac

SublimeText3 version Mac

Logiciel d'édition de code au niveau de Dieu (SublimeText3)

Quand Teamfight Tactics S11 se terminera-t-il ? Quand Teamfight Tactics S11 se terminera-t-il ? Mar 18, 2024 pm 03:16 PM

Chaque saison de Teamfight Tactics dure environ trois mois. Actuellement, le serveur de test américain de la saison Teamfight Tactics S11 a été mis à jour et lancé le 7 mars. Teamfight Tactics et Golden Shovel ont été mis à jour et lancés le 21 mars. se terminera probablement début juillet. Quand le TFT S11 se terminera-t-il ? Réponse : début juillet. 1. On suppose que la saison S11 se terminera début juillet. La date de fin précise doit attendre l'annonce officielle. 2. Chaque saison de Teamfight Tactics dure environ trois mois. 3. Le serveur de test américain de la saison Teamfight Tactics S11 sera mis à jour et lancé le 7 mars, et Teamfight Tactics et Golden Shovel seront mis à jour et lancés le 21 mars. 4. Un nouveau mécanisme de jeu sera ajouté à la saison S11 et plus de 20 nouveaux artefacts Ornn seront ajoutés.

Comment désactiver rapidement les touches de raccourci exécutées en arrière-plan de Win11 ? Comment désactiver rapidement les touches de raccourci exécutées en arrière-plan de Win11 ? Dec 28, 2023 am 09:54 AM

Lorsque nous utilisons des ordinateurs, nous rencontrerons inévitablement de nombreux problèmes qui continuent de fonctionner en arrière-plan, ce qui ralentit le système. À l'heure actuelle, existe-t-il une touche de raccourci pour mettre fin au fonctionnement en arrière-plan dans Win11. En fait, nous ne pouvons qu'ouvrir ? le gestionnaire de tâches avec la touche de raccourci, puis fermez-le dans Backstage. Touches de raccourci pour mettre fin à l'exécution en arrière-plan dans Win11 : 1. Tout d'abord, nous appuyons sur la combinaison de touches de raccourci clavier "ctrl+shift+esc" pour ouvrir la page du gestionnaire de tâches. 2. Dans la page Gestionnaire des tâches, utilisez la souris pour cliquer et sélectionner l'option du bouton "Nom". 3. Une fois la page sautée, nous pouvons voir directement tous les « processus en arrière-plan » en cours d'exécution. 4. En fonction des besoins réels, nous sélectionnons l'arrière-plan que nous souhaitons fermer et cliquons sur "Fin de tâche" dans le coin inférieur droit de l'option.

Comment utiliser les touches de raccourci du gestionnaire de tâches de l'ordinateur pour terminer une tâche Comment utiliser les touches de raccourci du gestionnaire de tâches de l'ordinateur pour terminer une tâche Jan 02, 2024 pm 01:34 PM

De nombreux amis rencontrent certains logiciels bloqués lors de l’utilisation de leur ordinateur. Si l'ordinateur ne peut pas bouger, vous devez appeler le gestionnaire de tâches pour terminer le processus. Après l'avoir appelé, comment utiliser les touches de raccourci pour terminer la tâche. Le plus simple est de supprimer, et il existe d'autres méthodes. regarde. Comment utiliser les touches de raccourci pour terminer des tâches dans le Gestionnaire des tâches Comment utiliser les touches de raccourci pour le Gestionnaire des tâches : 1. Combinaison de touches "Ctrl+Shift+ESC". 2. Combinaison de touches "Ctrl+Alt+Suppr". Touches de raccourci pour terminer les tâches 1. Sélectionnez la tâche à terminer et cliquez sur "Supprimer". 2. Sélectionnez la tâche à terminer et appuyez sur la combinaison de touches "alt+e".

Comment utiliser CSS pour se rendre compte qu'il manque un coin à un div Comment utiliser CSS pour se rendre compte qu'il manque un coin à un div Jan 30, 2023 am 09:23 AM

Méthode CSS pour réaliser qu'il manque un coin à un div : 1. Créez un exemple de fichier HTML et définissez un div ; 2. Définissez la couleur d'arrière-plan de la largeur et de la hauteur du div 3. Ajoutez une pseudo-classe au div qui doit être supprimé ; un coin et définissez la pseudo-classe sur Utiliser la même couleur que la couleur d'arrière-plan, puis faites-la pivoter de 45 degrés, puis positionnez-la sur le coin qui doit être supprimé.

Comment mettre fin à une réunion dans Tencent Meeting - opérations spécifiques pour mettre fin à une réunion dans Tencent Meeting Comment mettre fin à une réunion dans Tencent Meeting - opérations spécifiques pour mettre fin à une réunion dans Tencent Meeting Mar 05, 2024 pm 12:16 PM

Utilisez-vous souvent le logiciel Tencent Conference dans votre bureau ? Alors, savez-vous comment mettre fin à une réunion dans Tencent Conference ? Ensuite, l'éditeur vous présentera les opérations spécifiques de fin d'une réunion dans Tencent Conference. Jetons un coup d'œil ci-dessous. Allumez l'ordinateur, double-cliquez pour accéder à Tencent Meeting, puis connectez-vous, cliquez pour accéder à la réunion rapide et cliquez sur le bouton de fin de réunion.

Implémentation d'un script de navigateur de traduction de marquage de mots basé sur l'API ChatGPT Implémentation d'un script de navigateur de traduction de marquage de mots basé sur l'API ChatGPT May 01, 2023 pm 03:28 PM

Préface Récemment, il existe un script de navigateur basé sur ChatGPTAPI sur GitHub, openai-translator. En peu de temps, l'étoile a atteint 12k. En plus de prendre en charge la traduction, elle prend également en charge les fonctions de polissage et de synthèse. -ins, il utilise également le packaging tauri. Si vous avez un client de bureau, outre le fait que tauri utilise la partie rust, la partie navigateur est encore relativement simple à implémenter. Aujourd'hui, nous allons l'implémenter manuellement. L'interface fournie par openAI, par exemple, nous pouvons copier le code suivant et lancer une requête dans la console du navigateur pour terminer la traduction //Exemple constOPENAI_API_KEY="s

Quel est le modèle de boîte de division ? Quel est le modèle de boîte de division ? Oct 09, 2023 pm 05:15 PM

Le modèle de boîte div est un modèle utilisé pour la mise en page d'une page Web. Il traite les éléments d'une page Web comme des boîtes rectangulaires. Ce modèle contient quatre parties : la zone de contenu, le remplissage, la bordure et la marge. L'avantage du modèle de boîte div est qu'il peut facilement contrôler la mise en page de la page Web et l'espacement entre les éléments. En ajustant la taille de la zone de contenu, la marge intérieure, la bordure et la marge extérieure, divers effets de mise en page peuvent être obtenus. Le modèle de boîte fournit également certaines propriétés et méthodes permettant de modifier dynamiquement le style et le comportement de la boîte via CSS et JavaScript.

Quelle est la différence entre iframe et div Quelle est la différence entre iframe et div Aug 28, 2023 am 11:46 AM

La différence entre iframe et div est que iframe est principalement utilisé pour introduire du contenu externe, qui peut charger du contenu provenant d'autres sites Web ou diviser une page Web en plusieurs zones. Chaque zone a son propre contexte de navigation indépendant, tandis que div est principalement utilisé pour diviser et div. organiser le contenu. bloc pour la mise en page et le contrôle du style.

See all articles